%global sname dde-launcher

Name:           dde-launcher
Version:        5.6.10
Release:        2%{?dist}
Summary:        dde desktop-environment - Launcher module
License:        GPLv3
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  dtkwidget-devel
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  gtest-devel
BuildRequires:  libarchive
BuildRequires:  dtkgui-devel
BuildRequires:  dtkcommon-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  gmock-devel
Patch:		0001-Solve-the-problem-of-not-being-able-to-shrink-after-magnification.patch
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
Requires:       deepin-menu
Requires:       dde-daemon
Requires:       startdde
Requires:       hicolor-icon-theme
Requires:       libqtxdg

%description
%{summary}.


%prep
%autosetup -p1
sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DWITHOUT_UNINSTALL_APP=1 .
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_bindir}/dde-launcher-wapper
%{_datadir}/applications/dde-launcher.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/scalable/apps/deepin-launcher.svg
%{_datadir}/glib-2.0/schemas/com.deepin.dde.launcher.gschema.xml
%{_datadir}/dsg/configs/org.deepin.dde.launcher/org.deepin.dde.launcher.json


%changelog
* Mon May 13 2024 maqi <maqi@uniontech.com> - 5.6.10-2
- fix: Solve the problem of not being able to shrink after magnification 

* Mon Oct 09 2023 liweigang <liweiganga@uniontech.com> - 5.6.10-1
- update: update to version 5.6.10

* Wed Aug 16 2023 liuzhilin <liuzhilin@uniontech.com> - 5.6.7-1
- update: update to 5.6.7

* Thu Mar 09 2023 liweiganga <liweiganga@uniontech.com> - 5.5.37-2
- feat: fix dde-launcher disable icon(bugid:187227)

* Wed Dec 28 2022 liweiganga <liweiganga@uniontech.com> - 5.5.37-1
- update: update to 5.5.37

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.4.45-1.01
- update: update to 5.4.45-1.01
